# VideoChannelSummary

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | Pointer to **int32** |  | [optional] 
**Name** | Pointer to **string** |  | [optional] 
**DisplayName** | Pointer to **string** |  | [optional] 
**Url** | Pointer to **string** |  | [optional] 
**Host** | Pointer to **string** |  | [optional] 
**Avatar** | Pointer to [**NullableActorImage**](ActorImage.md) |  | [optional] 

## Methods

### NewVideoChannelSummary

`func NewVideoChannelSummary() *VideoChannelSummary`

NewVideoChannelSummary instantiates a new VideoChannelSummary object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewVideoChannelSummaryWithDefaults

`func NewVideoChannelSummaryWithDefaults() *VideoChannelSummary`

NewVideoChannelSummaryWithDefaults instantiates a new VideoChannelSummary object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetId

`func (o *VideoChannelSummary) GetId() int32`

GetId returns the Id field if non-nil, zero value otherwise.

### GetIdOk

`func (o *VideoChannelSummary) GetIdOk() (*int32, bool)`

GetIdOk returns a tuple with the Id field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetId

`func (o *VideoChannelSummary) SetId(v int32)`

SetId sets Id field to given value.

### HasId

`func (o *VideoChannelSummary) HasId() bool`

HasId returns a boolean if a field has been set.

### GetName

`func (o *VideoChannelSummary) GetName() string`

GetName returns the Name field if non-nil, zero value otherwise.

### GetNameOk

`func (o *VideoChannelSummary) GetNameOk() (*string, bool)`

GetNameOk returns a tuple with the Name field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetName

`func (o *VideoChannelSummary) SetName(v string)`

SetName sets Name field to given value.

### HasName

`func (o *VideoChannelSummary) HasName() bool`

HasName returns a boolean if a field has been set.

### GetDisplayName

`func (o *VideoChannelSummary) GetDisplayName() string`

GetDisplayName returns the DisplayName field if non-nil, zero value otherwise.

### GetDisplayNameOk

`func (o *VideoChannelSummary) GetDisplayNameOk() (*string, bool)`

GetDisplayNameOk returns a tuple with the DisplayName field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetDisplayName

`func (o *VideoChannelSummary) SetDisplayName(v string)`

SetDisplayName sets DisplayName field to given value.

### HasDisplayName

`func (o *VideoChannelSummary) HasDisplayName() bool`

HasDisplayName returns a boolean if a field has been set.

### GetUrl

`func (o *VideoChannelSummary) GetUrl() string`

GetUrl returns the Url field if non-nil, zero value otherwise.

### GetUrlOk

`func (o *VideoChannelSummary) GetUrlOk() (*string, bool)`

GetUrlOk returns a tuple with the Url field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetUrl

`func (o *VideoChannelSummary) SetUrl(v string)`

SetUrl sets Url field to given value.

### HasUrl

`func (o *VideoChannelSummary) HasUrl() bool`

HasUrl returns a boolean if a field has been set.

### GetHost

`func (o *VideoChannelSummary) GetHost() string`

GetHost returns the Host field if non-nil, zero value otherwise.

### GetHostOk

`func (o *VideoChannelSummary) GetHostOk() (*string, bool)`

GetHostOk returns a tuple with the Host field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetHost

`func (o *VideoChannelSummary) SetHost(v string)`

SetHost sets Host field to given value.

### HasHost

`func (o *VideoChannelSummary) HasHost() bool`

HasHost returns a boolean if a field has been set.

### GetAvatar

`func (o *VideoChannelSummary) GetAvatar() ActorImage`

GetAvatar returns the Avatar field if non-nil, zero value otherwise.

### GetAvatarOk

`func (o *VideoChannelSummary) GetAvatarOk() (*ActorImage, bool)`

GetAvatarOk returns a tuple with the Avatar field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetAvatar

`func (o *VideoChannelSummary) SetAvatar(v ActorImage)`

SetAvatar sets Avatar field to given value.

### HasAvatar

`func (o *VideoChannelSummary) HasAvatar() bool`

HasAvatar returns a boolean if a field has been set.

### SetAvatarNil

`func (o *VideoChannelSummary) SetAvatarNil(b bool)`

 SetAvatarNil sets the value for Avatar to be an explicit nil

### UnsetAvatar
`func (o *VideoChannelSummary) UnsetAvatar()`

UnsetAvatar ensures that no value is present for Avatar, not even an explicit nil

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


